twilio_chat_plugin 0.0.8

  • Readme
  • Changelog
  • Example
  • Installing
  • 31

twilio_chat_plugin #

Flutter plugin for Twilio Programmable Chat. This Flutter plugin is a community-maintained project and not maintained by Twilio. If you have any issues, please file an issue instead of contacting support.

This package is currently work-in-progress and should not be used for production apps.

Example #

Check out our comprehensive example provided with this plugin.

0.0.1 #

  1. Creating chat client, enter channel, exit channel, join channel are well tested on both ios and android
  2. Chat client listener and channel listener on both ios and android

0.0.2 #

  1. Update intl version to ^0.16.0 to fit flutter SDK current intl version

0.0.3 #

  1. Remove framework linker flag from podspec

0.0.4 #

  1. Change date to datetime type instead of String

0.0.5 #

  1. Added new functions (inviteUserToChannel,updateChannelFriendlyName,updateUserFriendlyName)

0.0.6 #

  1. Fix bugs during token expired and added function (createPrivateChannelByIdentities)

0.0.7 #

  1. Cast lastConsumptionTimestamp to Any

0.0.8 #

  1. Safe casting of datetime when Twilio returning different format

example/lib/main.dart

import 'package:flutter/material.dart';
import 'package:twilio_chat_plugin_example/pages/login.dart';

import 'debug.dart';

void main() {
  Debug.enabled = true;
  WidgetsFlutterBinding.ensureInitialized();
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
        theme: ThemeData(
            primaryColor: Color(0xff075e54),
            accentColor: Color(0xff25d366), //FBA background color
            indicatorColor: Colors.white, // selected tab bottom border
            primaryColorDark:
                Color(0xFF128C7E), // CircleAvatar background color
            primaryIconTheme: IconThemeData(
              color: Colors.white,
            ),
            textTheme: TextTheme(
              title: TextStyle(color: Colors.white),
            ),
            iconTheme: IconThemeData(
              color: Colors.white,
            ),
            accentIconTheme: IconThemeData(
              color: Colors.white, // FAB icon color
            )),
        home: LoginPage());
  }
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  twilio_chat_plugin: ^0.0.8

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter pub get

Alternatively, your editor might support pub get or flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:twilio_chat_plugin/twilio_chat_plugin.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
63
Health:
Code health derived from static analysis. [more]
--
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
--
Overall:
Weighted score of the above. [more]
31
Learn more about scoring.

This package is not analyzed, because it is discontinued.

Health issues and suggestions

Document public APIs. (-0.83 points)

356 out of 358 API elements have no dartdoc comment.Providing good documentation for libraries, classes, functions, and other API elements improves code readability and helps developers find and use your API.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.1.0 <3.0.0